<template>
    <div
        v-if="shop"
        class="row"
    >
        <!--   SMS Abandoned Carts     -->
        <div class="col-lg-4">
            <div class="tab-container">
                <div class="tab-header">
                    <div class="card-title-container">
                        <svg
                            width="16"
                            fill="#ffffff"
                            stroke="#333333"
                            stroke-width="2px"
                            xmlns="http://www.w3.org/2000/svg"
                            viewBox="0 0 18 18"
                        >
                            <path
                                id="sms"
                                d="M19,13.667a1.778,1.778,0,0,1-1.778,1.778H6.556L3,19V4.778A1.778,1.778,0,0,1,4.778,3H17.222A1.778,1.778,0,0,1,19,4.778Z"
                                transform="translate(-2 -2)"
                            />
                        </svg>
                        <div class="my-card-title">
                            Abandoned Cart SMS
                        </div>
                    </div>
                    <div>
                        <div
                            class="panel-heading-status"
                            :class="{'success' : sms.smsRemindersStatus}"
                        />
                    </div>
                </div>
                <div
                    v-if="sms.smsRemindersStatus"
                    class="content-container"
                >
                    <div class="sales-container">
                        <div class="card-count">
                            {{ getCurrencySign.symbol_native }}{{ $formatter.fixedNumber(sms.smsRemindersSales) }}
                        </div>
                        <div class="card-title">
                            Sales
                        </div>
                    </div>
                    <div class="card-info-container">
                        <div class="card-count">
                            {{ sms.smsRemindersStatus }}
                        </div>
                        <div class="card-title">
                            Active reminders
                        </div>
                    </div>
                </div>
                <div
                    v-else
                    class="no-content-container"
                >
                    <div>
                        <router-link
                            to="/sms/abandoned-carts"
                            class="btn get-started-btn"
                        >
                            Get Started
                        </router-link>
                    </div>
                </div>
            </div>
        </div>
        <!--   SMS CAMPAIGNS     -->
        <div class="col-lg-4">
            <div class="tab-container">
                <div class="tab-header">
                    <div class="card-title-container">
                        <svg
                            width="16"
                            fill="#ffffff"
                            stroke="#333333"
                            stroke-width="2px"
                            xmlns="http://www.w3.org/2000/svg"
                            viewBox="0 0 18 18"
                        >
                            <path
                                id="sms"
                                d="M19,13.667a1.778,1.778,0,0,1-1.778,1.778H6.556L3,19V4.778A1.778,1.778,0,0,1,4.778,3H17.222A1.778,1.778,0,0,1,19,4.778Z"
                                transform="translate(-2 -2)"
                            />
                        </svg>
                        <div class="my-card-title">
                            Campaigns
                        </div>
                    </div>
                    <div>
                        <div
                            class="panel-heading-status"
                            :class="{'success' : sms.smsCampaignsCount}"
                        />
                    </div>
                </div>
                <div
                    v-if="sms.smsCampaignsCount"
                    class="content-container"
                >
                    <div class="sales-container">
                        <div class="card-count">
                            {{ getCurrencySign.symbol_native }}{{ $formatter.fixedNumber(sms.smsCampaignsSales) }}
                        </div>
                        <div class="card-title">
                            Sales
                        </div>
                    </div>
                    <div class="card-info-container">
                        <div class="card-count">
                            {{ sms.smsCampaignsSent }}
                        </div>
                        <div class="card-title">
                            Campaigns sent
                        </div>
                    </div>
                </div>
                <div
                    v-else
                    class="no-content-container"
                >
                    <div>
                        <router-link
                            to="/sms/abandoned-carts"
                            class="btn get-started-btn"
                        >
                            Get Started
                        </router-link>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import currencies from '../../../data/currencies.json';
import shop from '../../../mixins/shop.service'

export default {
    name: "SmsTab",
    mixins: [shop],
    props: ['sms'],
    data() {
        return {
            shop: null,
            currencies: currencies
        }
    },
    computed: {
        getCurrencySign() {
            if (!this.currencies)
                return {
                    symbol: this.shop?.payment_currency
                };
            return this.currencies[this.shop.payment_currency];
        }
        },
        created() {
            this.loadShop()
        },
        methods: {
            async loadShop() {
                this.shop = await this.getShop()
            }

        }
    }
</script>

<style scoped>

.tab-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid #DFE6F2;
    padding: 15px 20px;
}

.no-content-container {
    display: flex;
    align-items: center;
    justify-content: space-around;
    min-height: 105px;
}

.my-icon {
    font-size: 17px;
    margin-right: 8px;
}

.content-container {
    padding: 20px 0;
    display: flex;
    justify-content: space-around;
}

.sales-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card-info-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card-count {
    font-size: 24px;
    font-weight: 900;
    color: #4786FF;
}

.card-title {
    color: #A8B2C4;
    font-size: 12px;
}

.card-title-container {
    display: flex;
    align-items: center;
    font-size: 14px;
    font-weight: 600;
}

.tab-container {
    background: white;
    margin-bottom: 30px;
    -webkit-box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
    box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
    min-height: 151px;
    border-radius: 5px;
}

.panel-heading-status {
    width: 8px;
    border: 1px solid #C8D0DE;
    height: 8px;
    border-radius: 50%;
}

.my-card-title {
    margin-left: 5px;
}

.success {
    border: 1px solid #2BB300 !important;
}

</style>
